from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File, Int, Boolean

Qcmerger_V0_1_0 = CommandToolBuilder(tool="QCMerger", base_command=["QCMerger"], inputs=[ToolInput(tag="in_in", input_type=String(optional=True), prefix="-in", doc=InputDocumentation(doc="*       List of qcml files to be merged. (valid formats: 'qcML')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*       Output extended/reduced qcML file (valid formats: 'qcML')")), ToolInput(tag="in_setname", input_type=String(optional=True), prefix="-setname", doc=InputDocumentation(doc="Use only when all given qcml files belong to one set, which will be held under the given name.")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*       Output extended/reduced qcML file (valid formats: 'qcML')"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Qcmerger_V0_1_0().translate("wdl", allow_empty_container=True)

